# Generated from dicom-0.9.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dicom

Name: rubygem-%{gem_name}
Version: 0.9.8
Release: 1%{?dist}
Summary: Library for handling DICOM files and DICOM network communication
License: GPL-3.0
URL: http://dicom.rubyforge.org/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.2
# BuildRequires: rubygem(mini_magick) >= 4.8
# BuildRequires: rubygem(mini_magick) < 5
# BuildRequires: rubygem(mocha) >= 1.4
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(numo-narray) >= 0.9
# BuildRequires: rubygem(numo-narray) < 1
# BuildRequires: rubygem(numo-narray) >= 0.9.1.1
# BuildRequires: rubygem(redcarpet) >= 3.4
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(rmagick) >= 2.15
# BuildRequires: rubygem(rmagick) < 3
# BuildRequires: rubygem(rspec) >= 3.7
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard) >= 0.9.12
BuildArch: noarch

%description
DICOM is a standard widely used throughout the world to store and transfer
medical image data. This library enables efficient and powerful handling of
DICOM in Ruby, to the benefit of any student or professional who would like to
use their favorite language to process DICOM files and communicate across the
network.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/COPYING
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/dicom.gemspec
%{gem_instdir}/rakefile.rb

%changelog
* Mon Aug 23 2021 mockbuilder - 0.9.8-1
- Initial package
